rel.cpp File Reference
`#include <gecode/set/rel.hh>`
`#include <gecode/set/rel-op.hh>`
`#include <gecode/set/int.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.

## Functions

template<class View0, class View1>
void | Gecode::Set::rel_post (Home home, View0 x0, SetRelType r, View1 x1)
template<class View0, class View1, ReifyMode rm>
void | Gecode::Set::rel_re (Home home, View0 x, SetRelType r, View1 y, BoolVar b)
void | Gecode::rel (Home home, SetVar x, SetRelType r, SetVar y)
| Post propagator for .
void | Gecode::rel (Home home, SetVar s, SetRelType r, IntVar x)
| Post propagator for .
void | Gecode::rel (Home home, IntVar x, SetRelType r, SetVar s)
| Post propagator for .
void | Gecode::rel (Home home, SetVar x, SetRelType rt, SetVar y, Reify r)
| Post propagator for .
void | Gecode::rel (Home home, SetVar s, SetRelType rt, IntVar x, Reify r)
| Post propagator for .
void | Gecode::rel (Home home, IntVar x, SetRelType rt, SetVar s, Reify r)
| Post propagator for .